Summary: Next generation filemanager and SMB network navigator for Xfce4
Name: xffm
Version: 4.2.2
Release: 1.fc4.XOS.1
License: GPL
URL: http://www.xfce.org/
Source0: http://www.us.xfce.org/archive/xfce-4.2.2/src/xffm-4.2.2.tar.gz

Patch0: xffm-4.2.2-rpath.patch
Patch1: xffm-4.2.2-menu.patch

Group: User Interface/Desktops
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires: libxfce4mcs >= %{version}
Requires: libxfce4util >= %{version}
Requires: libxfcegui4 >= %{version}
Requires: libxml2 >= 2.4.0

BuildRequires: dbh-devel
BuildRequires: gtk2-devel
BuildRequires: libxfce4mcs-devel >= %{version}
BuildRequires: libxfce4util-devel >= %{version}
BuildRequires: libxfcegui4-devel >= %{version}
BuildRequires: libxml2-devel >= 2.4.0
BuildRequires: xfce-mcs-manager-devel >= %{version}

%description
This package includes a filemanager and SMB network navigator for Xfce4.

%prep
%setup -q
%patch0 -p1 -b .rpath
%patch1 -p1 -b .menu

%build
%configure

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT/%{_libdir}/*.la
rm -f $RPM_BUILD_ROOT/%{_libdir}/xfce4/mcs-plugins/*.la
rm -f $RPM_BUILD_ROOT/%{_libdir}/xfce4/xffm/*.la

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%doc README TODO ChangeLog NEWS COPYING AUTHORS
%{_bindir}/*
%{_libdir}/lib*
%{_libdir}/pkgconfig/*
%{_libdir}/xfce4
%{_datadir}/xffm
%{_datadir}/xfce4/*
%{_datadir}/applications/*
%{_datadir}/icons/hicolor/*/*/*
%{_mandir}/man?/*

%changelog
* Thu Jul 28 2005 X/OS Linux Team <xoslinux@xos.nl> 4.2.2-1.fc4.XOS.1
- Build for X/OS Linux 4.
- X/OS Linux source rpm based on xffm-4.2.2-1.fc4.src.rpm
  (md5sum of original source rpm: db61672dcd2e66c80df8aac0e2fcaedb).

* Tue May 17 2005 Kevin Fenzi <kevin@tummy.com> - 4.2.2-1.fc4
- Update to 4.2.2
- Rediff rpath and menu patches
- Remove unneeded gcc4 static patch (merged upstream)

* Fri Mar 25 2005 Kevin Fenzi <kevin@tummy.com> - 4.2.1-5.fc4
- lowercase Release

* Wed Mar 23 2005 Kevin Fenzi <kevin@tummy.com> - 4.2.1-4.FC4
- removed unneeded directories

* Tue Mar 22 2005 Kevin Fenzi <kevin@tummy.com> - 4.2.1-3.FC4
- removed unneeded mandir and added dir to files
- removed unneeded ldconfig and la/a files. 

* Sun Mar 20 2005 Warren Togami <wtogami@redhat.com> - 4.2.1-2
- remove stuff

* Sun Mar 20 2005 Kevin Fenzi <kevin@tummy.com> - 4.2.1-1
- Fixed case of Xfce
- Fixed Source0 line
- Reimported 4.2.0 spec from core cvs
- Added patch to remove static call that was breaking compile on devel. 

* Mon Feb 21 2005 Than Ngo <than@redhat.com> 4.2.0-2
- cleanup menu

* Fri Jan 28 2005 Than Ngo <than@redhat.com> 4.2.0-1 
- update to 4.0.6

* Thu Jun 17 2004 Than Ngo <than@redhat.com> 4.0.5-4
- own %{_datadir}/xffm, bug #124825
- use %%find_lang macros, bug #124954
- add buildrequires on xfce-mcs-manager-devel, bug #125061

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Thu May 13 2004 Than Ngo <than@redhat.com> 4.0.5-2
- get rid of rpath
- fix gcc34 build problem

* Thu Apr 15 2004 Than Ngo <than@redhat.com> 4.0.5-1
- update to 4.0.5

* Thu Mar 11 2004 Than Ngo <than@redhat.com> 4.0.3-4
- fixed gcc-3.4 build problem

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Jan 27 2004 Than Ngo <than@redhat.com> 4.0.3-2
- fixed dependant libraries check on x86_64

* Wed Jan 14 2004 Than Ngo <than@redhat.com> 4.0.3-1
- update 4.0.3

* Thu Dec 25 2003 Than Ngo <than@redhat.com> 4.0.2-1
- 4.0.2 release

* Tue Dec 16 2003 Than Ngo <than@redhat.com> 4.0.1-1
- initial build
